Package com.pixelmed.dose

# Class RoleInOrganization

java.lang.Object
com.pixelmed.dose.RoleInOrganization

public class RoleInOrganization extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RoleInOrganization`
`PHYSICIAN`
`static final RoleInOrganization`
`RADIATION_PHYSICIST`
`static final RoleInOrganization`
`TECHNOLOGIST`

## Method Summary

Modifier and Type
Method
Description
`CodedSequenceItem`
`getCodedSequenceItem()`
`static CodedSequenceItem`
`getCodedSequenceItem(RoleInOrganization role)`
`static RoleInOrganization`
`getRoleInOrganization(ContentItem parent)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PHYSICIAN

public static final RoleInOrganization PHYSICIAN

### TECHNOLOGIST

public static final RoleInOrganization TECHNOLOGIST

### RADIATION_PHYSICIST

public static final RoleInOrganization RADIATION_PHYSICIST

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getRoleInOrganization

public static RoleInOrganization getRoleInOrganization(ContentItem parent)

### getCodedSequenceItem

public static CodedSequenceItem getCodedSequenceItem(RoleInOrganization role) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`